//<c>   Copyright 1989-2000 by Gerry J. Danen; all rights reserved.

//<t>   View File(s)

#include"gd_tools.h"


#define pgVERS_ "V2.21"
#define pgTITL_ "File Viewer"
#define pgCOPR_ "1989"


#if     (! LARGE_MODEL)
  #error LARGE MEMORY MODEL REQUIRED
#endif


void    main( int argc, char *argv[] )
{
    int         ch ;
    BOOL        help_flag = FALSE, numbers = FALSE ;

    fs_init( FALSE, SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    Allow_Break();                              // allow ^Break to abort

    // process optional arguments first
    while ( (ch = ut_get_option(argc, argv, "n")) != GETOPT_END )
    {
        switch ( ch )
        {
            case 'n':                   // turn on line-numbering
                numbers = TRUE;
                break;
            case '?':                   // bad option
                help_flag = TRUE;
                break;
        }
    }
    // check for command-line errors
    argc -= ut_get_option_ind();
    argv += ut_get_option_ind();
    if ( help_flag || (! argc) )
    {
        logon(1);
        fprintf( stderr, "Usage: %s [/n] file...\n", get_global_program_name() );
        gd_exit( 1, "" );
    }

    // video configuration
    sc_save_video_cfg();
    sc_read_video_cfg();

    fl_view_init( sc_vid_rows()-2, sc_vid_cols()/2+1, 0, "", YES );
    for ( ; argc-- > 0 ; ++argv )
    {
        if ( fl_view(*argv, numbers) != 0 )
            break;
    }
    fl_view_exit();

    gd_exit( 0, "" );
}
